{% extends 'base.html.twig' %}

{% block title %} Panier{% endblock %}

{% block body %}
<div class="col-md-12">
  <div class="row">
    <div class="col d-flex justify-content-center">
      <h1 class="my-5">Panier</h1>
    </div>
  </div>
  <div class="row">
    <!--Table-->
    <div class="table-vide" style="display : none;"></div>
    <table id="table" class="table table-striped">
      <!--Table head-->
      <thead>
        <tr>
          <th>Nom du produit</th>
          <th>Quantité</th>
          <th>Prix</th>
        </tr>
      </thead>
      <!--Table head-->
      <!--Table body-->
      <tbody>
        {% for elempanier in products %}
        <tr>
          <th scope="row">{{ elempanier.product.name | upper }}</th>
          <td>1</td>
          <td>{{ elempanier.product.price }}€</td>
          <td>
            <form action="{{ path('panier.delete',{id: elempanier.product.id}) }}" method="POST"
              onsubmit="return confirm('Voulez vous supprimer l\'article ?')">
              <input type="hidden" name="_method" value="DELETE">
              <input type="hidden" name="token" value="{{ csrf_token('delete-item') }}">
              <button class="btn btn-danger">Supprimer</button>
            </form>
          </td>
        </tr>

        {% endfor %}
        <tr>
          <th scope="row">Total</th>
          <td></td>
          <td>Total : {{total}}€</td>
        </tr>
      </tbody>
      <!--Table body-->
    </table>
    <!--Table-->
    {{ form_start(form) }}
    <div class="form-group col-md-12">
      <label for="email">Email</label>
      {{ form_widget(form.email) }}
    </div>

    <div class="form-group col-md-12" style="display:none">
      <label for="createdAt">createdAt</label>
      {{ form_widget(form.createdAt) }}
    </div>

    <button type="submit" class="btn btn-primary btn-block">
      Commander
    </button>
    {{ form_end(form) }}
  </div>
</div>
<script>
  const table = document.querySelector("#table");
  const body = document.querySelector("tbody").childElementCount;
  const vide = document.querySelector(".table-vide");
  if (body <= 0) {
    vide.style.display = "block";
    table.style.display = "none";
    vide.textContent = `Aucun produit dans le panier.`;
  }
</script>
{% endblock %}